[Distutils] "just use debian"

Chris Withers chris at simplistix.co.uk
Tue Sep 30 18:08:31 CEST 2008


Josselin Mouette wrote:
> Le mardi 30 septembre 2008 à 16:36 +0100, Chris Withers a écrit :
>>>> No, the problem we have today is that some developers are providing
>>>> modules without API stability, which means you cannot simply depend on a
>>>> module, you need a specific version.
>> This problem is never going away, it's the nature of software.
> 
> It doesn’t have to go away per se, but we need proper ways to deal with
> incompatible changes in the interfaces.

Well, the generally accepted way seems to be to increase the major 
version number...

> In Python libraries, this is not possible without changing the code,
> since the file name and the module name are the same. 

The distribution name and package/module name do not have to be the same...

> It will suffice, but we will not be able to manage it in distributions
> if you allow too many weird things to be specified in these
> dependencies.

Explain "too many weird things"...

Chris

-- 
Simplistix - Content Management, Zope & Python Consulting
            - http://www.simplistix.co.uk


More information about the Distutils-SIG mailing list